Index: CKEditor/trunk/_source/lang/hu.js
===================================================================
--- CKEditor/trunk/_source/lang/hu.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/hu.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Elválasztóvonal beillesztése',
 	pagebreak		: 'Oldaltörés beillesztése',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Hivatkozás törlése',
 	undo			: 'Visszavonás',
@@ -110,4 +111,15 @@
 		styles			: 'Stílus',
 		cssClasses		: 'Stíluslap osztály',
+		width			: 'Szélesség',
+		height			: 'Magasság',
+		align			: 'Igazítás',
+		alignLeft		: 'Bal',
+		alignRight		: 'Jobbra',
+		alignCenter		: 'Középre',
+		alignTop		: 'Tetejére',
+		alignMiddle		: 'Középre',
+		alignBottom		: 'Aljára',
+		invalidHeight	: 'A magasság mezőbe csak számokat írhat.',
+		invalidWidth	: 'A szélesség mezőbe csak számokat írhat.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Gördítősáv',
 		popupDependent	: 'Szülőhöz kapcsolt (csak Netscape)',
-		popupWidth		: 'Szélesség',
 		popupLeft		: 'Bal pozíció',
-		popupHeight		: 'Magasság',
 		popupTop		: 'Felső pozíció',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Oszlopok',
 		border		: 'Szegélyméret',
-		align		: 'Igazítás',
-		alignLeft	: 'Balra',
-		alignCenter	: 'Középre',
-		alignRight	: 'Jobbra',
-		width		: 'Szélesség',
 		widthPx		: 'képpont',
 		widthPc		: 'százalék',
 		widthUnit	: 'Szélesség egység',
-		height		: 'Magasság',
 		cellSpace	: 'Cella térköz',
 		cellPad		: 'Cella belső margó',
@@ -288,7 +292,4 @@
 			hAlign			: 'Vízszintes igazítás',
 			vAlign			: 'Függőleges igazítás',
-			alignTop		: 'Fel',
-			alignMiddle		: 'Középre',
-			alignBottom		: 'Le',
 			alignBaseline	: 'Alapvonalra',
 			bgColor			: 'Háttér színe',
@@ -411,6 +412,4 @@
 		upload		: 'Feltöltés',
 		alt			: 'Buborék szöveg',
-		width		: 'Szélesség',
-		height		: 'Magasság',
 		lockRatio	: 'Arány megtartása',
 		unlockRatio	: 'Arány figyelmen kívül hagyása',
@@ -419,7 +418,4 @@
 		hSpace		: 'Vízsz. táv',
 		vSpace		: 'Függ. táv',
-		align		: 'Igazítás',
-		alignLeft	: 'Bal',
-		alignRight	: 'Jobbra',
 		alertUrl	: 'Töltse ki a kép webcímét',
 		linkTab		: 'Hivatkozás',
@@ -427,6 +423,4 @@
 		img2Button	: 'A kiválasztott képből képgombot szeretne csinálni?',
 		urlMissing	: 'Hiányzik a kép URL-je',
-		validateWidth	: 'A szélességnek egész számot kell beírni!',
-		validateHeight	: 'A magasságnak egész számot kell beírni!',
 		validateBorder	: 'A keret méretének egész számot kell beírni!',
 		validateHSpace	: 'Vízszintes távolságnak egész számot kell beírni!',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Azonos domainről',
 		accessNever		: 'Soha',
-		align			: 'Igazítás',
-		alignLeft		: 'Bal',
 		alignAbsBottom	: 'Legaljára',
 		alignAbsMiddle	: 'Közepére',
 		alignBaseline	: 'Alapvonalhoz',
-		alignBottom		: 'Aljára',
-		alignMiddle		: 'Középre',
-		alignRight		: 'Jobbra',
 		alignTextTop	: 'Szöveg tetejére',
-		alignTop		: 'Tetejére',
 		quality			: 'Minőség',
 		qualityBest		: 'Legjobb',
@@ -475,11 +463,7 @@
 		flashvars		: 'Flash változók',
 		bgcolor			: 'Háttérszín',
-		width			: 'Szélesség',
-		height			: 'Magasság',
 		hSpace			: 'Vízsz. táv',
 		vSpace			: 'Függ. táv',
 		validateSrc		: 'Adja meg a hivatkozás webcímét',
-		validateWidth	: 'A szélesség mezőbe csak számokat írhat.',
-		validateHeight	: 'A magasság mezőbe csak számokat írhat.',
 		validateHSpace	: 'A vízszintes távolsűág mezőbe csak számokat írhat.',
 		validateVSpace	: 'A függőleges távolsűág mezőbe csak számokat írhat.'
@@ -615,4 +599,13 @@
 		remove				: 'DIV eltávolítása'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Horgony',
-		flash	: 'Flash animáció',
-		div		: 'Oldaltörés',
-		unknown	: 'Ismeretlen objektum'
+		anchor		: 'Horgony',
+		flash		: 'Flash animáció',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Ismeretlen objektum'
 	},
 
Index: CKEditor/trunk/_source/lang/is.js
===================================================================
--- CKEditor/trunk/_source/lang/is.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/is.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Lóðrétt lína',
 	pagebreak		: 'Setja inn síðuskil',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Fjarlægja stiklu',
 	undo			: 'Afturkalla',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Breidd',
+		height			: 'Hæð',
+		align			: 'Jöfnun',
+		alignLeft		: 'Vinstri',
+		alignRight		: 'Hægri',
+		alignCenter		: 'Miðjað',
+		alignTop		: 'Efst',
+		alignMiddle		: 'Miðjuð',
+		alignBottom		: 'Neðst',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Skrunstikur',
 		popupDependent	: 'Háð venslum (Netscape)',
-		popupWidth		: 'Breidd',
 		popupLeft		: 'Fjarlægð frá vinstri',
-		popupHeight		: 'Hæð',
 		popupTop		: 'Fjarlægð frá efri brún',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Dálkar',
 		border		: 'Breidd ramma',
-		align		: 'Jöfnun',
-		alignLeft	: 'Vinstrijafnað',
-		alignCenter	: 'Miðjað',
-		alignRight	: 'Hægrijafnað',
-		width		: 'Breidd',
 		widthPx		: 'myndeindir',
 		widthPc		: 'prósent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Hæð',
 		cellSpace	: 'Bil milli reita',
 		cellPad		: 'Reitaspássía',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Hlaða upp',
 		alt			: 'Baklægur texti',
-		width		: 'Breidd',
-		height		: 'Hæð',
 		lockRatio	: 'Festa stærðarhlutfall',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Vinstri bil',
 		vSpace		: 'Hægri bil',
-		align		: 'Jöfnun',
-		alignLeft	: 'Vinstri',
-		alignRight	: 'Hægri',
 		alertUrl	: 'Sláðu inn slóðina að myndinni',
 		linkTab		: 'Stikla',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Jöfnun',
-		alignLeft		: 'Vinstri',
 		alignAbsBottom	: 'Abs neðst',
 		alignAbsMiddle	: 'Abs miðjuð',
 		alignBaseline	: 'Grunnlína',
-		alignBottom		: 'Neðst',
-		alignMiddle		: 'Miðjuð',
-		alignRight		: 'Hægri',
 		alignTextTop	: 'Efri brún texta',
-		alignTop		: 'Efst',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Bakgrunnslitur',
-		width			: 'Breidd',
-		height			: 'Hæð',
 		hSpace			: 'Vinstri bil',
 		vSpace			: 'Hægri bil',
 		validateSrc		: 'Sláðu inn veffang stiklunnar!',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/it.js
===================================================================
--- CKEditor/trunk/_source/lang/it.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/it.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Inserisci riga orizzontale',
 	pagebreak		: 'Inserisci interruzione di pagina',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Elimina collegamento',
 	undo			: 'Annulla',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Larghezza',
+		height			: 'Altezza',
+		align			: 'Allineamento',
+		alignLeft		: 'Sinistra',
+		alignRight		: 'Destra',
+		alignCenter		: 'Centrato',
+		alignTop		: 'In Alto',
+		alignMiddle		: 'Centrato',
+		alignBottom		: 'In Basso',
+		invalidHeight	: 'L\'altezza dev\'essere un numero',
+		invalidWidth	: 'La Larghezza dev\'essere un numero',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barre di scorrimento',
 		popupDependent	: 'Dipendente (Netscape)',
-		popupWidth		: 'Larghezza',
 		popupLeft		: 'Posizione da sinistra',
-		popupHeight		: 'Altezza',
 		popupTop		: 'Posizione dall\'alto',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Colonne',
 		border		: 'Dimensione bordo',
-		align		: 'Allineamento',
-		alignLeft	: 'Sinistra',
-		alignCenter	: 'Centrato',
-		alignRight	: 'Destra',
-		width		: 'Larghezza',
 		widthPx		: 'pixel',
 		widthPc		: 'percento',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Altezza',
 		cellSpace	: 'Spaziatura celle',
 		cellPad		: 'Padding celle',
@@ -288,7 +292,4 @@
 			hAlign			: 'Allineamento orizzontale',
 			vAlign			: 'Allineamento verticale',
-			alignTop		: 'In Alto',
-			alignMiddle		: 'Al Centro',
-			alignBottom		: 'In Basso',
 			alignBaseline	: 'Linea Base',
 			bgColor			: 'Colore di Sfondo',
@@ -411,6 +412,4 @@
 		upload		: 'Carica',
 		alt			: 'Testo alternativo',
-		width		: 'Larghezza',
-		height		: 'Altezza',
 		lockRatio	: 'Blocca rapporto',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Allineamento',
-		alignLeft	: 'Sinistra',
-		alignRight	: 'Destra',
 		alertUrl	: 'Devi inserire l\'URL per l\'immagine',
 		linkTab		: 'Collegamento',
@@ -427,6 +423,4 @@
 		img2Button	: 'Vuoi trasferomare l\'immagine selezionata in un bottone immagine?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Solo stesso dominio',
 		accessNever		: 'Mai',
-		align			: 'Allineamento',
-		alignLeft		: 'Sinistra',
 		alignAbsBottom	: 'In basso assoluto',
 		alignAbsMiddle	: 'Centrato assoluto',
 		alignBaseline	: 'Linea base',
-		alignBottom		: 'In Basso',
-		alignMiddle		: 'Centrato',
-		alignRight		: 'Destra',
 		alignTextTop	: 'In alto al testo',
-		alignTop		: 'In Alto',
 		quality			: 'Qualità',
 		qualityBest		: 'Massima',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variabili per Flash',
 		bgcolor			: 'Colore sfondo',
-		width			: 'Larghezza',
-		height			: 'Altezza',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Devi inserire l\'URL del collegamento',
-		validateWidth	: 'La Larghezza dev\'essere un numero',
-		validateHeight	: 'L\'altezza dev\'essere un numero',
 		validateHSpace	: 'L\'HSpace dev\'essere un numero.',
 		validateVSpace	: 'Il VSpace dev\'essere un numero.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Ancora',
-		flash	: 'Animazione Flash',
-		div		: 'Interruzione di Pagina',
-		unknown	: 'Oggetto sconosciuto'
+		anchor		: 'Ancora',
+		flash		: 'Animazione Flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Oggetto sconosciuto'
 	},
 
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: '横罫線',
 	pagebreak		: '改ページ挿入',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'リンク削除',
 	undo			: '元に戻す',
@@ -110,4 +111,15 @@
 		styles			: 'スタイル',
 		cssClasses		: 'スタイルシートクラス',
+		width			: '幅',
+		height			: '高さ',
+		align			: '行揃え',
+		alignLeft		: '左',
+		alignRight		: '右',
+		alignCenter		: '中央',
+		alignTop		: '上',
+		alignMiddle		: '中央',
+		alignBottom		: '下',
+		invalidHeight	: '高さは数値で入力してください。',
+		invalidWidth	: '幅は数値で入力してください。',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'スクロールバー',
 		popupDependent	: '開いたウィンドウに連動して閉じる (Netscape)',
-		popupWidth		: '幅',
 		popupLeft		: '左端からの座標で指定',
-		popupHeight		: '高さ',
 		popupTop		: '上端からの座標で指定',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: '列',
 		border		: 'ボーダーサイズ',
-		align		: 'テーブルの整列',
-		alignLeft	: '左',
-		alignCenter	: '中央',
-		alignRight	: '右',
-		width		: '幅',
 		widthPx		: 'ピクセル',
 		widthPc		: 'パーセント',
 		widthUnit	: 'ユニット',
-		height		: '高さ',
 		cellSpace	: 'セル内余白',
 		cellPad		: 'セル内間隔',
@@ -288,7 +292,4 @@
 			hAlign			: 'セル横の整列',
 			vAlign			: 'セル縦の整列',
-			alignTop		: '上',
-			alignMiddle		: '中央',
-			alignBottom		: '下',
 			alignBaseline	: 'ベースライン',
 			bgColor			: '背景色',
@@ -411,6 +412,4 @@
 		upload		: 'アップロード',
 		alt			: '代替テキスト',
-		width		: '幅',
-		height		: '高さ',
 		lockRatio	: 'ロック比率',
 		unlockRatio	: 'アンロック比率',
@@ -419,7 +418,4 @@
 		hSpace		: '横間隔',
 		vSpace		: '縦間隔',
-		align		: '行揃え',
-		alignLeft	: '左',
-		alignRight	: '右',
 		alertUrl	: 'イメージのURLを入力してください。',
 		linkTab		: 'リンク',
@@ -427,6 +423,4 @@
 		img2Button	: '選択した画像をボタンに置き換えますか？',
 		urlMissing	: 'イメージのURLを入力してください。',
-		validateWidth	: '幅は数値で入力してください。',
-		validateHeight	: '高さは数値で入力してください。',
 		validateBorder	: 'ボーダーは数値で入力してください。',
 		validateHSpace	: '横間隔は数値で入力してください。',
@@ -452,14 +446,8 @@
 		accessSameDomain: '同一ドメインのみに通信可能(Same domain)',
 		accessNever		: 'すべての場合に通信不可能(Never)',
-		align			: '行揃え',
-		alignLeft		: '左',
 		alignAbsBottom	: '下部(絶対的)',
 		alignAbsMiddle	: '中央(絶対的)',
 		alignBaseline	: 'ベースライン',
-		alignBottom		: '下',
-		alignMiddle		: '中央',
-		alignRight		: '右',
 		alignTextTop	: 'テキスト上部',
-		alignTop		: '上',
 		quality			: '画質',
 		qualityBest		: '品質優先',
@@ -475,11 +463,7 @@
 		flashvars		: 'フラッシュに渡す変数(FlashVars)',
 		bgcolor			: '背景色',
-		width			: '幅',
-		height			: '高さ',
 		hSpace			: '横間隔',
 		vSpace			: '縦間隔',
 		validateSrc		: 'リンクURLを入力してください。',
-		validateWidth	: '幅は数値で入力してください。',
-		validateHeight	: '高さは数値で入力してください。',
 		validateHSpace	: '横間隔は数値で入力してください。',
 		validateVSpace	: '縦間隔は数値で入力してください。'
@@ -615,4 +599,13 @@
 		remove				: 'Divコンテナ 削除'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'アンカー',
-		flash	: 'Flash Animation',
-		div		: 'Page Break',
-		unknown	: 'Unknown Object'
+		anchor		: 'アンカー',
+		flash		: 'Flash Animation',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object'
 	},
 
Index: CKEditor/trunk/_source/lang/km.js
===================================================================
--- CKEditor/trunk/_source/lang/km.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/km.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'បន្ថែមបន្ទាត់ផ្តេក',
 	pagebreak		: 'បន្ថែម ការផ្តាច់ទំព័រ',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'លប់ឈ្នាប់',
 	undo			: 'សារឡើងវិញ',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'ទទឹង',
+		height			: 'កំពស់',
+		align			: 'កំណត់ទីតាំង',
+		alignLeft		: 'ខាងឆ្វង',
+		alignRight		: 'ខាងស្តាំ',
+		alignCenter		: 'កណ្តាល',
+		alignTop		: 'ខាងលើ',
+		alignMiddle		: 'កណ្តាល',
+		alignBottom		: 'ខាងក្រោម',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'របា ទាញ',
 		popupDependent	: 'អាស្រ័យលើ (Netscape)',
-		popupWidth		: 'ទទឹង',
 		popupLeft		: 'ទីតាំងខាងឆ្វេង',
-		popupHeight		: 'កំពស់',
 		popupTop		: 'ទីតាំងខាងលើ',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'ជួរឈរ',
 		border		: 'ទំហំស៊ុម',
-		align		: 'ការកំណត់ទីតាំង',
-		alignLeft	: 'ខាងឆ្វេង',
-		alignCenter	: 'កណ្តាល',
-		alignRight	: 'ខាងស្តាំ',
-		width		: 'ទទឹង',
 		widthPx		: 'ភីកសែល',
 		widthPc		: 'ភាគរយ',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'កំពស់',
 		cellSpace	: 'គំលាតសែល',
 		cellPad		: 'គែមសែល',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'ទាញយក',
 		alt			: 'អត្ថបទជំនួស',
-		width		: 'ទទឹង',
-		height		: 'កំពស់',
 		lockRatio	: 'អត្រាឡុក',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'គំលាតទទឹង',
 		vSpace		: 'គំលាតបណ្តោយ',
-		align		: 'កំណត់ទីតាំង',
-		alignLeft	: 'ខាងឆ្វង',
-		alignRight	: 'ខាងស្តាំ',
 		alertUrl	: 'សូមសរសេរងាស័យដ្ឋានរបស់រូបភាព',
 		linkTab		: 'ឈ្នាប់',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'កំណត់ទីតាំង',
-		alignLeft		: 'ខាងឆ្វង',
 		alignAbsBottom	: 'Abs Bottom', // MISSING
 		alignAbsMiddle	: 'Abs Middle', // MISSING
 		alignBaseline	: 'បន្ទាត់ជាមូលដ្ឋាន',
-		alignBottom		: 'ខាងក្រោម',
-		alignMiddle		: 'កណ្តាល',
-		alignRight		: 'ខាងស្តាំ',
 		alignTextTop	: 'លើអត្ថបទ',
-		alignTop		: 'ខាងលើ',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'ពណ៌ផ្ទៃខាងក្រោយ',
-		width			: 'ទទឹង',
-		height			: 'កំពស់',
 		hSpace			: 'គំលាតទទឹង',
 		vSpace			: 'គំលាតបណ្តោយ',
 		validateSrc		: 'សូមសរសេរ អាស័យដ្ឋាន URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ko.js
===================================================================
--- CKEditor/trunk/_source/lang/ko.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/ko.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: '수평선 삽입',
 	pagebreak		: 'Insert Page Break for Printing', // MISSING
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: '링크 삭제',
 	undo			: '취소',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: '너비',
+		height			: '높이',
+		align			: '정렬',
+		alignLeft		: '왼쪽',
+		alignRight		: '오른쪽',
+		alignCenter		: '가운데',
+		alignTop		: '위',
+		alignMiddle		: '중간',
+		alignBottom		: '아래',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: '스크롤바',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: '너비',
 		popupLeft		: '왼쪽 위치',
-		popupHeight		: '높이',
 		popupTop		: '윗쪽 위치',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: '세로줄',
 		border		: '테두리 크기',
-		align		: '정렬',
-		alignLeft	: '왼쪽',
-		alignCenter	: '가운데',
-		alignRight	: '오른쪽',
-		width		: '너비',
 		widthPx		: '픽셀',
 		widthPc		: '퍼센트',
 		widthUnit	: 'width unit', // MISSING
-		height		: '높이',
 		cellSpace	: '셀 간격',
 		cellPad		: '셀 여백',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: '업로드',
 		alt			: '이미지 설명',
-		width		: '너비',
-		height		: '높이',
 		lockRatio	: '비율 유지',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: '수평여백',
 		vSpace		: '수직여백',
-		align		: '정렬',
-		alignLeft	: '왼쪽',
-		alignRight	: '오른쪽',
 		alertUrl	: '이미지 URL을 입력하십시요',
 		linkTab		: '링크',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: '정렬',
-		alignLeft		: '왼쪽',
 		alignAbsBottom	: '줄아래(Abs Bottom)',
 		alignAbsMiddle	: '줄중간(Abs Middle)',
 		alignBaseline	: '기준선',
-		alignBottom		: '아래',
-		alignMiddle		: '중간',
-		alignRight		: '오른쪽',
 		alignTextTop	: '글자상단',
-		alignTop		: '위',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: '배경 색상',
-		width			: '너비',
-		height			: '높이',
 		hSpace			: '수평여백',
 		vSpace			: '수직여백',
 		validateSrc		: '링크 URL을 입력하십시요.',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/lt.js
===================================================================
--- CKEditor/trunk/_source/lang/lt.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/lt.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Įterpti horizontalią liniją',
 	pagebreak		: 'Įterpti puslapių skirtuką',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Panaikinti nuorodą',
 	undo			: 'Atšaukti',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Plotis',
+		height			: 'Aukštis',
+		align			: 'Lygiuoti',
+		alignLeft		: 'Kairę',
+		alignRight		: 'Dešinę',
+		alignCenter		: 'Centrą',
+		alignTop		: 'Viršūnę',
+		alignMiddle		: 'Vidurį',
+		alignBottom		: 'Apačią',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Slinkties juostos',
 		popupDependent	: 'Priklausomas (Netscape)',
-		popupWidth		: 'Plotis',
 		popupLeft		: 'Kairė pozicija',
-		popupHeight		: 'Aukštis',
 		popupTop		: 'Viršutinė pozicija',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Stulpeliai',
 		border		: 'Rėmelio dydis',
-		align		: 'Lygiuoti',
-		alignLeft	: 'Kairę',
-		alignCenter	: 'Centrą',
-		alignRight	: 'Dešinę',
-		width		: 'Plotis',
 		widthPx		: 'taškais',
 		widthPc		: 'procentais',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Aukštis',
 		cellSpace	: 'Tarpas tarp langelių',
 		cellPad		: 'Trapas nuo langelio rėmo iki teksto',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Nusiųsti',
 		alt			: 'Alternatyvus Tekstas',
-		width		: 'Plotis',
-		height		: 'Aukštis',
 		lockRatio	: 'Išlaikyti proporciją',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Hor.Erdvė',
 		vSpace		: 'Vert.Erdvė',
-		align		: 'Lygiuoti',
-		alignLeft	: 'Kairę',
-		alignRight	: 'Dešinę',
 		alertUrl	: 'Prašome įvesti vaizdo URL',
 		linkTab		: 'Nuoroda',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Lygiuoti',
-		alignLeft		: 'Kairę',
 		alignAbsBottom	: 'Absoliučią apačią',
 		alignAbsMiddle	: 'Absoliutų vidurį',
 		alignBaseline	: 'Apatinę liniją',
-		alignBottom		: 'Apačią',
-		alignMiddle		: 'Vidurį',
-		alignRight		: 'Dešinę',
 		alignTextTop	: 'Teksto viršūnę',
-		alignTop		: 'Viršūnę',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Fono spalva',
-		width			: 'Plotis',
-		height			: 'Aukštis',
 		hSpace			: 'Hor.Erdvė',
 		vSpace			: 'Vert.Erdvė',
 		validateSrc		: 'Prašome įvesti nuorodos URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
